/**
 * SmartProxy implementation
 *
 * Version 14.0.0: Unified Route-Based Configuration API
 */
// Re-export models
export * from './models/index.js';

// Export the main SmartProxy class
export { SmartProxy } from './smart-proxy.js';

// Export core supporting classes
export { ConnectionManager } from './connection-manager.js';
export { SecurityManager } from './security-manager.js';
export { TimeoutManager } from './timeout-manager.js';
export { TlsManager } from './tls-manager.js';
export { NetworkProxyBridge } from './network-proxy-bridge.js';

// Export route-based components
export { RouteManager } from './route-manager.js';
export { RouteConnectionHandler } from './route-connection-handler.js';

// Export route helpers for configuration
export {
  createRoute,
  createHttpRoute,
  createHttpsRoute,
  createPassthroughRoute,
  createRedirectRoute,
  createHttpToHttpsRedirect,
  createBlockRoute,
  createLoadBalancerRoute,
  createHttpsServer
} from './route-helpers.js';
